#include "xmaterialvertexshader.h"
#include "xmaterialvertexshaderprogram.h"

XMaterialVertexShader::XMaterialVertexShader()
    : XAsset()
    , mName()
    , mProgram(new XMaterialVertexShaderProgram())
{
    
}

void XMaterialVertexShader::Clear()
{
    
}

void XMaterialVertexShader::ParseData(QDataStream *aStream)
{
    
}
